<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.util.mxLine (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.util.mxLine (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.util.mxLine" class="title">Uses of Class<br>hk.quantr.mxgraph.util.mxLine</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.shape">hk.quantr.mxgraph.shape</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.util">hk.quantr.mxgraph.util</a></th>
<td class="colLast">
<div class="block">This package provides utility classes such as mxConstants, mxUtils, mxPoint
  and mxRectangle as well as all classes for custom events and the undo
  history.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.shape">
<!--   -->
</a>
<h3>Uses of <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a> in <a href="../../shape/package-summary.html">hk.quantr.mxgraph.shape</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../shape/package-summary.html">hk.quantr.mxgraph.shape</a> declared as <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurveLabelShape.LabelGlyphCache.</span><code><span class="memberNameLink"><a href="../../shape/mxCurveLabelShape.LabelGlyphCache.html#glyphGeometry">glyphGeometry</a></span></code></th>
<td class="colLast">
<div class="block">A line parallel to the curve segment at which the element is to be
 drawn</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../shape/package-summary.html">hk.quantr.mxgraph.shape</a> that return <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectorShape.</span><code><span class="memberNameLink"><a href="../../shape/mxConnectorShape.html#getMarkerVector(java.util.List,boolean,double)">getMarkerVector</a></span>&#8203;(java.util.List&lt;<a href="../mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
               boolean&nbsp;source,
               double&nbsp;markerSize)</code></th>
<td class="colLast">
<div class="block">Hook to override creation of the vector that the marker is drawn along
 since it may not be the same as the vector between any two control
 points</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurveShape.</span><code><span class="memberNameLink"><a href="../../shape/mxCurveShape.html#getMarkerVector(java.util.List,boolean,double)">getMarkerVector</a></span>&#8203;(java.util.List&lt;<a href="../mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
               boolean&nbsp;source,
               double&nbsp;markerSize)</code></th>
<td class="colLast">
<div class="block">Hook to override creation of the vector that the marker is drawn along
 since it may not be the same as the vector between any two control
 points</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a> in <a href="../package-summary.html">hk.quantr.mxgraph.util</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">hk.quantr.mxgraph.util</a> declared as <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurve.</span><code><span class="memberNameLink"><a href="../mxCurve.html#INVALID_POSITION">INVALID_POSITION</a></span></code></th>
<td class="colLast">
<div class="block">Indicates that an invalid position on a curve was requested</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.util</a> that return <a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">mxLine</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCurve.</span><code><span class="memberNameLink"><a href="../mxCurve.html#getCurveParallel(java.lang.String,double)">getCurveParallel</a></span>&#8203;(java.lang.String&nbsp;index,
                double&nbsp;distance)</code></th>
<td class="colLast">
<div class="block">Returns a unit vector parallel to the curve at the specified
 distance along the curve.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxLine.html" title="class in hk.quantr.mxgraph.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
